Announcement

Collapse
No announcement yet.

Previous versions of FHIR extension

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Previous versions of FHIR extension

    We are using Mirth Connect Server 3.4.2.8129 and the only version of the FHIR extension I can locate is fhir-3.5.0.8232.b611.zip which is incompatible. Is my only solution to upgrade Mirth Connect Server version or are the previous versions of the FHIR extension available?

  • #2
    Originally posted by mwhitcher View Post
    We are using Mirth Connect Server 3.4.2.8129 and the only version of the FHIR extension I can locate is fhir-3.5.0.8232.b611.zip which is incompatible. Is my only solution to upgrade Mirth Connect Server version or are the previous versions of the FHIR extension available?
    I am also facing the same issue. What is the work around this this?
    My Mirth connect is 3.4.2.8129, I am installing the fhir extension: fhir-3.5.0.8232.b611. When I install, I get the message: fhir/source.xml is not compatible with this version of Mirth Connect.

    Comment


    • #3
      We are experiencing the same issue. We have tried to find a way to download a version of the zip file that is compatible with 3.4.2.8129, but the download from Nextgen does not allow you to choose any version other than 3.5. Has anyone found a way to get this to work on version 3.4.2?

      Comment


      • #4
        You can download the FHIR listener channel for your version of MC here.
        http://www.mirthcorp.com/community/w...xample+Channel
        Best,

        Kirby

        Mirth Certified|Epic Bridges Certified|Cloverleaf Level 2 Certified

        Appliance Version 3.11.4
        Mirth Connect Version 3.8.0
        Java Version 1.6.0_45-b06
        Java (64 bit) Version 1.6.0_45-b06
        Java 7 (64 bit) Version 1.7.0_151-b15
        Java 8 (64 bit) Version 1.8.0_181-b13
        PostgreSQL Version 9.6.8

        Comment


        • #5
          Hi Kirby,

          Thank you for your reply! The issue that I am having is with finding a FHIR extension for Mirth that is compatible with 3.4.2, not the actual channel itself. Do you by any chance know where to download a version for the FHIR extension for Mirth that is compatible with 3.4.2?

          Thanks!
          Martinan

          Comment


          • #6
            I still had this in my downloads folder. I think this is what you are looking for.
            Attached Files
            Best,

            Kirby

            Mirth Certified|Epic Bridges Certified|Cloverleaf Level 2 Certified

            Appliance Version 3.11.4
            Mirth Connect Version 3.8.0
            Java Version 1.6.0_45-b06
            Java (64 bit) Version 1.6.0_45-b06
            Java 7 (64 bit) Version 1.7.0_151-b15
            Java 8 (64 bit) Version 1.8.0_181-b13
            PostgreSQL Version 9.6.8

            Comment


            • #7
              That was exactly what I was looking for, thanks Kirby!

              Comment


              • #8
                Do you have zip file for fhir-3.5.0. The one I am downloading is 3.5.1

                Comment

                Working...
                X